dpkg-genchanges(1)

NAME
dpkg-genchanges - generate Debian .changes files

SYNOPSIS
dpkg-genchanges [options]

DESCRIPTION
dpkg-genchanges reads information from an unpacked and built Debian source tree and from the files it has generated and generates a Debian upload control file (.changes file).

OPTIONS

-b, -B, -A
    Specifies that a binary-only build is taking place (no source files are to be included). There's no distinction between -b, -B and -A, the produced .changes file will include whatever files were created by the binary-* target(s) of the package being built.

-S  Specifies that only the source should be uploaded (no binary packages will be included).

The -sx options control whether the original source archive is included in the upload if any source is being generated (i.e. -b or -B haven't been used).

-si By default, or if specified, the original source will be included only if the upstream version number (the version without epoch and without Debian revision) differs from the upstream version number of the previous changelog entry.

-sa Forces the inclusion of the original source.

-sd Forces the exclusion of the original source and includes only the diff.

-vversion
    Causes changelog information from all versions strictly later than version to be used.

-Cchangesdescription
    Read the description of the changes from the file changesdescription rather than using the information from the source tree's changelog file.

-mmaintaineraddress
    Use maintaineraddress as the name and email address of the maintainer for this package, rather than using the information from the source tree's control file.

-emaintaineraddress
    Use maintaineraddress as the name and email address of the maintainer for this upload, rather than using the information from the source tree's changelog.

-Vname=value
    Set an output substitution variable. See deb-substvars(5) for a discussion of output substitution.

-Tsubstvarsfile
    Read substitution variables in substvarsfile; the default is debian/substvars. No variable substitution is done on any of the fields that are output, however the special variable Format will override the field of the same name. This option can be used multiple times to read substitution variables from multiple files.

-Dfield=value
    Override or add an output control file field.

-Ufield
    Remove an output control file field.

-ccontrolfile
    Specifies the main source control file to read information from. The default is debian/control.

-lchangelogfile
    Specifies the change log file to read information from. The default is debian/changelog.

-ffileslistfile
    Read the list of files to be uploaded here, rather than using debian/files.

-Fchangelogformat
    Specifies the format of the changelog. By default the format is read from a special line near the bottom of the changelog or failing that defaults to the debian standard format.

-uuploadfilesdir
    Look for the files to be uploaded in uploadfilesdir rather than .. (dpkg-genchanges needs to find these files so that it can include their sizes and checksums in the .changes file).

-q  Usually dpkg-genchanges will produce informative messages on standard error, for example about how many of the package's source files are being uploaded. -q suppresses these messages.

-h, --help
    Show the usage message and exit.

--version
    Show the version and exit.

FILES

debian/files
    The list of generated files which are part of the upload being prepared. dpkg-genchanges reads the data here when producing a .changes file.

AUTHORS
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO WARRANTY.